Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class MetricInvalidException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  net.hyperic.util.NestedRuntimeException
                      net.hyperic.hq.common.SystemException
                          net.hyperic.hq.product.MetricInvalidException

All Implemented Interfaces:
  java.io.Serializable

public class MetricInvalidException
extends net.hyperic.hq.common.SystemException

This exception is thrown from the translate & getValue methods in plugins when the plugin cannot map the DSN to a template which it returned from getMeasurements

See Also:
  Serialized Form

Constructor Summary
`MetricInvalidException()`
`MetricInvalidException(java.lang.String s)`
`MetricInvalidException(java.lang.String s, java.lang.Throwable t)`
`MetricInvalidException(java.lang.Throwable t)`

Method Summary
`java.lang.String` `getRemoteMessage()`
`void` `setRemoteMessage(java.lang.String remoteMessage)`

Methods inherited from class net.hyperic.util.NestedRuntimeException
`addException, getExceptionOfType, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetricInvalidException

    public MetricInvalidException()

### MetricInvalidException

    public MetricInvalidException(java.lang.String s)

### MetricInvalidException

    public MetricInvalidException(java.lang.Throwable t)

### MetricInvalidException

    public MetricInvalidException(java.lang.String s,
                                  java.lang.Throwable t)

Method Detail

### getRemoteMessage

    public java.lang.String getRemoteMessage()

### setRemoteMessage

    public void setRemoteMessage(java.lang.String remoteMessage)

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.